Module org.jfree.chart3d
Package org.jfree.chart3d.marker

# Interface Marker

All Superinterfaces:
  `ChartElement`

All Known Subinterfaces:
  `ValueMarker`

All Known Implementing Classes:
  `AbstractMarker`, `CategoryMarker`, `NumberMarker`, `RangeMarker`

public interface Marker extends ChartElement
A base interface for all markers.

Since:
  1.2

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Color`
`DEFAULT_FILL_COLOR`
The default fill color for markers.
`static final Color`
`DEFAULT_LABEL_COLOR`
The default color for the marker labels.
`static final Color`
`DEFAULT_LINE_COLOR`
The default line color for markers.
`static final Stroke`
`DEFAULT_LINE_STROKE`
The default line stroke for markers.
`static final Font`
`DEFAULT_MARKER_FONT`
The default font for marker labels.

## Method Summary

Modifier and Type
Method
Description
`void`
`addChangeListener(MarkerChangeListener listener)`
Registers a listener to receive notification of changes to the marker.
`void`
`draw(Graphics2D g2, MarkerData markerData, boolean reverse)`
Draws the marker based on the `markerData` which has been passed to the 3D engine to generate the required 2D projection points.
`void`
`removeChangeListener(MarkerChangeListener listener)`
Deregisters a listener so that it no longer receives notification of changes to the marker.

### Methods inherited from interface org.jfree.chart3d.ChartElement

`receive`

## Field Details

### DEFAULT_LINE_STROKE

static final Stroke DEFAULT_LINE_STROKE
The default line stroke for markers.

### DEFAULT_LINE_COLOR

static final Color DEFAULT_LINE_COLOR
The default line color for markers.

### DEFAULT_FILL_COLOR

static final Color DEFAULT_FILL_COLOR
The default fill color for markers.

### DEFAULT_MARKER_FONT

static final Font DEFAULT_MARKER_FONT
The default font for marker labels.

### DEFAULT_LABEL_COLOR

static final Color DEFAULT_LABEL_COLOR
The default color for the marker labels.

## Method Details

### draw

void draw(Graphics2D g2, MarkerData markerData, boolean reverse)
Draws the marker based on the `markerData` which has been passed to the 3D engine to generate the required 2D projection points.

Parameters:
  `g2` - the graphics target (`null` not permitted).
  `markerData` - transient data for the marker (`null` not permitted).
  `reverse` - a flag to indicate reverse orientation.

### addChangeListener

void addChangeListener(MarkerChangeListener listener)
Registers a listener to receive notification of changes to the marker.

Parameters:
  `listener` - the listener (`null` not permitted).

### removeChangeListener

void removeChangeListener(MarkerChangeListener listener)
Deregisters a listener so that it no longer receives notification of changes to the marker.

Parameters:
  `listener` - the listener (`null` not permitted).